Package org.eclipse.birt.report.model.api

# Class TextItemHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.ReportItemHandleImpl
org.eclipse.birt.report.model.api.ReportItemHandle
org.eclipse.birt.report.model.api.TextItemHandle

All Implemented Interfaces:
  `IReportItemMethodContext`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IInternalReportItemModel`, `org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel`, `org.eclipse.birt.report.model.elements.interfaces.ITextItemModel`

public class TextItemHandle extends ReportItemHandle implements org.eclipse.birt.report.model.elements.interfaces.ITextItemModel
Represents a text data item. The text item allows the developer to provide the text as part of the report design. The text can be localized. Text can be in HTML or plain text format.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportItemHandleImpl

`DATABINDING_TYPE_DATA, DATABINDING_TYPE_NONE, DATABINDING_TYPE_REPORT_ITEM_REF`

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IInternalReportItemModel

`ACL_EXPRESSION_PROP, ALLOW_EXPORT_PROP, ALTTEXT_KEY_PROP, ALTTEXT_PROP, BOOKMARK_DISPLAY_NAME_PROP, BOOKMARK_PROP, BOUND_DATA_COLUMNS_PROP, CASCADE_ACL_PROP, CUBE_PROP, DATA_BINDING_REF_PROP, DATA_SET_PROP, HEIGHT_PROP, LANGUAGE_PROP, MULTI_VIEWS_PROP, ON_CREATE_METHOD, ON_PAGE_BREAK_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, ORDER_PROP, PARAM_BINDINGS_PROP, PUSH_DOWN_PROP, TAG_TYPE_PROP, THEME_PROP, TOC_PROP, URL_PROP, VISIBILITY_PROP, WIDTH_PROP, X_PROP, Y_PROP, Z_INDEX_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.api.elements.IReportItemMethodContext

`ON_CREATE_CONTEXT, ON_PREPARE_CONTEXT, ON_RENDER_CONTEXT`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel

`STYLE_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITextItemModel

`CONTENT_PROP, CONTENT_RESOURCE_KEY_PROP, CONTENT_TYPE_PROP, HAS_EXPRESSION_PROP, JTIDY_PROP`

## Constructor Summary

Constructors
Constructor
Description
`TextItemHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle for a text item.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContent()`
Gets the text of this text element.
`String`
`getContentKey()`
Gets the resource key of the text for the item.
`String`
`getContentType()`
Returns the content type of this text item.
`String`
`getDisplayContent()`
Returns the localized content for the text.
`boolean`
`hasExpression()`
Determines whether there is expression need to be evaluated in the text content of this text item handle.
`boolean`
`isJTidy()`
return if jTIdy is used to validate the HTML content.
`void`
`setContent(String value)`
Sets the text for the text element.
`void`
`setContentKey(String resourceKey)`
Sets the resource key of the text for the item.
`void`
`setContentType(String contentType)`
Sets the content type of this text item.
`void`
`setHasExpression(boolean hasExpression)`
Sets the status whether there is expression need to be evaluated in the text content of this text item handle.
`void`
`setJTidy(boolean useJTidy)`
set if jTidy need to be used to validate the HTML content.

### Methods inherited from class org.eclipse.birt.report.model.api.ReportItemHandleImpl

`addColumnBinding, addTOC, addTOC, addView, allowExport, canAddView, canCascadeACL, cascadeACL, columnBindingsIterator, dropView, findColumnBinding, getACLExpression, getAltTextExpression, getAltTextKey, getAvailableBindings, getAvailableCubeBindingReferenceList, getAvailableDataBindingReferenceList, getAvailableDataBindingReferenceList, getAvailableDataSetBindingReferenceList, getBookmark, getBookmarkDisplayName, getColumnBindings, getCube, getCurrentView, getDataBindingReference, getDataBindingReferenceName, getDataBindingType, getDataSet, getHeight, getLanguage, getMethods, getNamedCubeBindingReferenceList, getNamedDataBindingReferenceList, getNamedDataSetBindingReferenceList, getOnCreate, getOnPageBreak, getOnPrepare, getOnRender, getOrder, getProperty, getTagType, getTheme, getTOC, getTocExpression, getURL, getViewHost, getViews, getWidth, getX, getY, getZIndex, paramBindingsIterator, pushDown, removedColumnBinding, removedColumnBindings, removedUnusedColumnBindings, setACLExpression, setAllowExport, setAltTextExpression, setAltTextKey, setBookmark, setBookmarkDisplayName, setCascadeACL, setCube, setCurrentView, setDataBindingReference, setDataSet, setHeight, setHeight, setLanguage, setOnCreate, setOnPageBreak, setOnPrepare, setOnRender, setOrder, setPushDown, setTagType, setTheme, setThemeName, setTocExpression, setURL, setWidth, setWidth, setX, setX, setY, setY, setZIndex, visibilityRulesIterator`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextItemHandle

public TextItemHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle for a text item. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getContent

public String getContent()
Gets the text of this text element.

Returns:
  the text to display with the element, if this property value is not set, return `null`.

### getDisplayContent

public String getDisplayContent()
Returns the localized content for the text. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

Returns:
  the localized content for the text.

### setContent

public void setContent(String value) throws SemanticException
Sets the text for the text element.

Parameters:
  `value` - the new content of the text item
Throws:
  `SemanticException` - if the property is locked.

### getContentType

public String getContentType()
Returns the content type of this text item. The content type will one of the following constants defined in `DesignChoiceConstants`:

- `TEXT_CONTENT_TYPE_AUTO`
- `TEXT_CONTENT_TYPE_PLAIN`
- `TEXT_CONTENT_TYPE_HTML`
- `TEXT_CONTENT_TYPE_RTF`

Returns:
  the content type. if this property value is not set, return `null`.
See Also:
  - `DesignChoiceConstants`

### setContentType

public void setContentType(String contentType) throws SemanticException
Sets the content type of this text item. The content type will one of the following constants defined in `DesignChoiceConstants`:

- `TEXT_CONTENT_TYPE_AUTO`
- `TEXT_CONTENT_TYPE_PLAIN`
- `TEXT_CONTENT_TYPE_HTML`
- `TEXT_CONTENT_TYPE_RTF`

Parameters:
  `contentType` - the content type of this text item.
Throws:
  `SemanticException` - if the value is not a valid choice item.
See Also:
  - `DesignChoiceConstants`

### getContentKey

public String getContentKey()
Gets the resource key of the text for the item.

Returns:
  the resource key of the text

### setContentKey

public void setContentKey(String resourceKey) throws SemanticException
Sets the resource key of the text for the item.

Parameters:
  `resourceKey` - the resource key of the text
Throws:
  `SemanticException` - if the property is locked.

### hasExpression

public boolean hasExpression()
Determines whether there is expression need to be evaluated in the text content of this text item handle. By default, the return value is `FALSE`.

Returns:
  true if there is expression in the text content, otherwise false

### setHasExpression

public void setHasExpression(boolean hasExpression) throws SemanticException
Sets the status whether there is expression need to be evaluated in the text content of this text item handle.

Parameters:
  `hasExpression` - true if there is expression in the text content, otherwise false
Throws:
  `SemanticException`

### setJTidy

public void setJTidy(boolean useJTidy) throws SemanticException
set if jTidy need to be used to validate the HTML content. If jTidy is set to false, the HTML content is used directly without any validation. The user needs ensure the content is well formed.

Parameters:
  `useJTidy` - true, use jTidy to validate the content.
Throws:
  `SemanticException`

### isJTidy

public boolean isJTidy()
return if jTIdy is used to validate the HTML content.

Returns:
  true, jTidy is used to validate the content.